Linux polon 4.19.0-27-amd64 #1 SMP Debian 4.19.316-1 (2024-06-25) x86_64
Apache/2.4.59 (Debian)
: 10.2.73.233 | : 18.118.126.69
Cant Read [ /etc/named.conf ]
5.6.40-64+0~20230107.71+debian10~1.gbp673146
www-data
www.github.com/MadExploits
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
CPANEL RESET
CREATE WP USER
README
+ Create Folder
+ Create File
/
etc /
init.d /
[ HOME SHELL ]
Name
Size
Permission
Action
.depend.boot
1.39
KB
-rw-r--r--
.depend.start
729
B
-rw-r--r--
.depend.stop
1.23
KB
-rw-r--r--
README
2.37
KB
-rw-r--r--
acpid
2.22
KB
-rwxr-xr-x
apache-htcacheclean
2.43
KB
-rwxr-xr-x
apache2
7.99
KB
-rwxr-xr-x
apparmor
3.65
KB
-rwxr-xr-x
atd
1.05
KB
-rwxr-xr-x
bootlogs
1.25
KB
-rwxr-xr-x
bootmisc.sh
1.2
KB
-rwxr-xr-x
brightness
2.13
KB
-rwxr-xr-x
checkfs.sh
3.56
KB
-rwxr-xr-x
checkroot-bootclean.sh
1.05
KB
-rwxr-xr-x
checkroot.sh
9.3
KB
-rwxr-xr-x
console-setup.sh
1.2
KB
-rwxr-xr-x
cron
2.99
KB
-rwxr-xr-x
dbus
2.75
KB
-rwxr-xr-x
exim4
6.99
KB
-rwxr-xr-x
firewalld
2.25
KB
-rwxr-xr-x
halt
1.3
KB
-rwxr-xr-x
hostname.sh
927
B
-rwxr-xr-x
hwclock.sh
3.72
KB
-rwxr-xr-x
irqbalance
2.39
KB
-rwxr-xr-x
keyboard-setup.sh
1.44
KB
-rwxr-xr-x
killprocs
1.27
KB
-rwxr-xr-x
kmod
2
KB
-rwxr-xr-x
mountall-bootclean.sh
677
B
-rwxr-xr-x
mountall.sh
2.67
KB
-rwxr-xr-x
mountdevsubfs.sh
1.43
KB
-rwxr-xr-x
mountkernfs.sh
1.53
KB
-rwxr-xr-x
mountnfs-bootclean.sh
685
B
-rwxr-xr-x
mountnfs.sh
2.39
KB
-rwxr-xr-x
mysql
6.06
KB
-rwxr-xr-x
netfilter-persistent
1.33
KB
-rwxr-xr-x
networking
4.34
KB
-rwxr-xr-x
nfs-common
5.53
KB
-rwxr-xr-x
php5.6-fpm
4.19
KB
-rwxr-xr-x
php7.0-fpm
4.19
KB
-rwxr-xr-x
php7.2-fpm
4.19
KB
-rwxr-xr-x
php7.3-fpm
4.19
KB
-rwxr-xr-x
php7.4-fpm
4.19
KB
-rwxr-xr-x
php8.2-fpm
4.19
KB
-rwxr-xr-x
procps
924
B
-rwxr-xr-x
rc
6.13
KB
-rwxr-xr-x
rc.local
820
B
-rwxr-xr-x
rcS
117
B
-rwxr-xr-x
reboot
661
B
-rwxr-xr-x
rmnologin
1.01
KB
-rwxr-xr-x
rpcbind
2.42
KB
-rwxr-xr-x
rsync
4.31
KB
-rwxr-xr-x
rsyslog
2.8
KB
-rwxr-xr-x
saned
2.17
KB
-rwxr-xr-x
sendsigs
3.13
KB
-rwxr-xr-x
single
592
B
-rwxr-xr-x
ssh
3.85
KB
-rwxr-xr-x
sudo
1.01
KB
-rwxr-xr-x
udev
6.71
KB
-rwxr-xr-x
umountfs
2.71
KB
-rwxr-xr-x
umountnfs.sh
2.21
KB
-rwxr-xr-x
umountroot
1.21
KB
-rwxr-xr-x
unattended-upgrades
1.36
KB
-rwxr-xr-x
urandom
3.04
KB
-rwxr-xr-x
x11-common
2.69
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : x11-common
#!/bin/sh # /etc/init.d/x11-common: set up the X server and ICE socket directories ### BEGIN INIT INFO # Provides: x11-common # Required-Start: $remote_fs # Required-Stop: $remote_fs # Default-Start: S # Default-Stop: # Short-Description: set up the X server and ICE socket directories ### END INIT INFO set -e PATH=/usr/bin:/usr/sbin:/bin:/sbin SOCKET_DIR=.X11-unix ICE_DIR=.ICE-unix . /lib/lsb/init-functions if [ -f /etc/default/rcS ]; then . /etc/default/rcS fi do_restorecon () { # Restore file security context (SELinux). if which restorecon >/dev/null 2>&1; then restorecon "$1" fi } # create a directory in /tmp. # assumes /tmp has a sticky bit set (or is only writeable by root) set_up_dir () { DIR="/tmp/$1" if [ "$VERBOSE" != no ]; then log_progress_msg "$DIR" fi # if $DIR exists and isn't a directory, move it aside if [ -e $DIR ] && ! [ -d $DIR ] || [ -h $DIR ]; then mv "$DIR" "$(mktemp -d $DIR.XXXXXX)" fi error=0 while :; do if [ $error -ne 0 ] ; then # an error means the file-system is readonly or an attacker # is doing evil things, distinguish by creating a temporary file, # but give up after a while. if [ $error -gt 5 ]; then log_failure_msg "failed to set up $DIR" return 1 fi fn="$(mktemp /tmp/testwriteable.XXXXXXXXXX)" || return 1 rm "$fn" fi mkdir -p -m 01777 "$DIR" || { rm "$DIR" || error=$((error + 1)) ; continue ; } case "$(LC_ALL=C stat -c '%u %g %a %F' "$DIR")" in "0 0 1777 directory") # everything as it is supposed to be break ;; "0 0 "*" directory") # as it is owned by root, cannot be replaced with a symlink: chmod 01777 "$DIR" break ;; *" directory") # if the chown succeeds, the next step can change it savely chown -h root:root "$DIR" || error=$((error + 1)) continue ;; *) log_failure_msg "failed to set up $DIR" return 1 ;; esac done do_restorecon "$DIR" return 0 } do_status () { if [ -d "/tmp/$ICE_DIR" ] && [ -d "/tmp/$SOCKET_DIR" ]; then return 0 else return 4 fi } case "$1" in start) if [ "$VERBOSE" != no ]; then log_begin_msg "Setting up X socket directories..." fi set_up_dir "$SOCKET_DIR" set_up_dir "$ICE_DIR" if [ "$VERBOSE" != no ]; then log_end_msg 0 fi ;; restart|reload|force-reload) /etc/init.d/x11-common start ;; stop) : ;; status) do_status ;; *) log_success_msg "Usage: /etc/init.d/x11-common {start|stop|status|restart|reload|force-reload}" exit 1 ;; esac exit 0 # vim:set ai et sts=2 sw=2 tw=0:
Close